Name:           perl-Test2-Tools-MemoryCycle
Version:        0.01
Release:        1%{?dist}
Summary:        Check for memory leaks and circular memory references
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test2-Tools-MemoryCycle/
Source0:        http://www.cpan.org/authors/id/P/PL/PLICEASE/Test2-Tools-MemoryCycle-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.008004
BuildRequires:  perl(Devel::Cycle)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(PadWalker) >= 1.0
BuildRequires:  perl(Test2::API) >= 1.302015
BuildRequires:  perl(Test2::V0) >= 0.000121
Requires:       perl(Devel::Cycle)
Requires:       perl(PadWalker) >= 1.0
Requires:       perl(Test2::API) >= 1.302015
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Perl's garbage collection has one big problem: Circular references can't
get cleaned up. The above example is the sort of thing that sometimes trips
me up, where a code reference inside a data structure refers to another
part of the data structure. There already exists a good testing module to
find these sort of problems: Test::Memory::Cycle, so why write this one?
Well that module uses Test::Builder, and this one instead uses Test2::API.
If you want to write Test2::Suite tests without pulling in Test::Builder
then this is the cycle testing module for you.

%prep
%setup -q -n Test2-Tools-MemoryCycle-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test ||:

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE META.json README author.yml dist.ini perlcriticrc
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Apr 28 2024 rpm 0.01-1
- Specfile autogenerated by cpanspec 1.78.
